from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XPdfDecomposer(XInterface, Protocol):
    def getDecomposition(self, xDataContainer: XBinaryDataContainer, xDecompositionParameters: PropertyValue>) -> list[XPrimitive2D]: ...
